Bug 127252 - IllegalArgumentException: Error generated in parsing
IllegalArgumentException: Error generated in parsing
Status: RESOLVED FIXED
Product: obsolete
Classification: Unclassified
Component: Registration
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: mslama
issues@platform
http://statistics.netbeans.org/analyt...
release601_fixes_candidate2, release6...
:
: 129132 143668 163860 166959 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 01:00 UTC by thegreatestmale
Modified: 2009-07-02 13:00 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
IllegalArgumentException: Error generated in parsing (1.80 MB, text/plain)
2008-02-13 01:06 UTC, thegreatestmale
Details

Note You need to log in before you can comment on or make changes to this bug.
Description thegreatestmale 2008-02-13 01:00:28 UTC
Error occurs every time I started IDE. This issue is persistent (every time I open the IDE) and only started AFTER I was
requested to (and did) update my base IDE installation from 6.0 to 6.0.1 a few weeks ago. And help as to how to
uninstall and revert back to the previous versino would be very helpful. Un/Reinstalling is not really an option since I
have several Netbeans and server versions on my computer and there is always 'pain in the ass' conflicts regarding
server configuration and netbean admin files, it's just not worth it...
Comment 1 thegreatestmale 2008-02-13 01:06:37 UTC
Created attachment 56565 [details]
IllegalArgumentException: Error generated in parsing
Comment 2 mslama 2008-02-13 10:11:24 UTC
Please could you attach normal call stack not XML or IDE log? XML is hardly readable. Thanks.
Comment 3 mslama 2008-02-26 14:55:55 UTC
It has nothing to do with registration. We need IDE log and steps to reproduce this. Have you installed any additional
plugin? You can try to use fresh user dir if it helps.
Comment 4 mslama 2008-02-26 15:13:10 UTC
I searched this 1.8MB big file for 'IllegalArgumentException' and found exception when parsing. Send me or attach here
registration.xml. It can be either in NB install dir/nb6.0 in user dir/.netbeans-registration/6.0. Fix is to remove this
file. If it is present in both locations you should remove it from both locations. It looks like this file is somehow
broken.
Comment 5 mslama 2008-03-06 16:01:18 UTC
Please use command line option -J-verbose:class. First delete folders NBINSTDIR/nb6.0/servicetag and
$HOME/.netbeans-registration and then run IDE with -J-verbose:class. Redirect this output into file and then send it
directly to me. It will be around 1MB or more. This way we can find out where XSLT class is loaded from when XML files
are created.
Comment 6 mslama 2008-03-11 17:05:22 UTC
Fixed in main trunk 6c6f3787bef0:
a) use try catch to hide IllegalArgumentException
b) move package com.sun.servicetag to org.netbeans.modules.servicetag to make
sure our code will work the same way on all JDK versions

Priority to P1 as we want to get this into NB 6.0.1 patch2 
Comment 7 mslama 2008-03-11 17:06:29 UTC
*** Issue 129132 has been marked as a duplicate of this issue. ***
Comment 8 mslama 2008-03-11 18:53:53 UTC
Summary for branch release601_fixes:
CVS: Modified Files:
CVS:  Tag: release601_fixes
CVS:    registration/src/org/netbeans/modules/registration/NbConnection.java
CVS:    reglib/nbproject/project.xml
CVS:    reglib/src/org/netbeans/modules/reglib/NbConnectionSupport.java
CVS:    reglib/src/org/netbeans/modules/reglib/NbServiceTagSupport.java
CVS:    reglib/src/org/netbeans/modules/reglib/StatusDocument.java
CVS: Added Files:
CVS:  Tag: release601_fixes
CVS:    reglib/src/org/netbeans/modules/servicetag/BrowserSupport.java
CVS:    reglib/src/org/netbeans/modules/servicetag/Installer.java
CVS:    reglib/src/org/netbeans/modules/servicetag/LinuxSystemEnvironment.java
CVS:    reglib/src/org/netbeans/modules/servicetag/RegistrationData.java
CVS:    reglib/src/org/netbeans/modules/servicetag/RegistrationDocument.java
CVS:    reglib/src/org/netbeans/modules/servicetag/Registry.java
CVS:    reglib/src/org/netbeans/modules/servicetag/ServiceTag.java
CVS:    reglib/src/org/netbeans/modules/servicetag/SolarisServiceTag.java
CVS:    reglib/src/org/netbeans/modules/servicetag/SolarisSystemEnvironment.java
CVS:    reglib/src/org/netbeans/modules/servicetag/SunConnection.java
CVS:    reglib/src/org/netbeans/modules/servicetag/SystemEnvironment.java
CVS:    reglib/src/org/netbeans/modules/servicetag/UnauthorizedAccessException.java
CVS:    reglib/src/org/netbeans/modules/servicetag/Util.java
CVS:    reglib/src/org/netbeans/modules/servicetag/WindowsSystemEnvironment.java
CVS:    reglib/src/org/netbeans/modules/servicetag/package.html
CVS:    reglib/src/org/netbeans/modules/servicetag/resources/Putback-Notes.txt
CVS:    reglib/src/org/netbeans/modules/servicetag/resources/javase_5_swordfish.properties
CVS:    reglib/src/org/netbeans/modules/servicetag/resources/javase_6_swordfish.properties
CVS:    reglib/src/org/netbeans/modules/servicetag/resources/jdk_header.png
CVS:    reglib/src/org/netbeans/modules/servicetag/resources/product_registration.xsd
CVS:    reglib/src/org/netbeans/modules/servicetag/resources/register.html
CVS:    reglib/src/org/netbeans/modules/servicetag/resources/register_ja.html
CVS:    reglib/src/org/netbeans/modules/servicetag/resources/register_zh_CN.html
CVS: Removed Files:
CVS:  Tag: release601_fixes
CVS:    reglib/src/com/sun/servicetag/BrowserSupport.java
CVS:    reglib/src/com/sun/servicetag/Installer.java
CVS:    reglib/src/com/sun/servicetag/LinuxSystemEnvironment.java
CVS:    reglib/src/com/sun/servicetag/RegistrationData.java
CVS:    reglib/src/com/sun/servicetag/RegistrationDocument.java
CVS:    reglib/src/com/sun/servicetag/Registry.java
CVS:    reglib/src/com/sun/servicetag/ServiceTag.java
CVS:    reglib/src/com/sun/servicetag/SolarisServiceTag.java
CVS:    reglib/src/com/sun/servicetag/SolarisSystemEnvironment.java
CVS:    reglib/src/com/sun/servicetag/SunConnection.java
CVS:    reglib/src/com/sun/servicetag/SystemEnvironment.java
CVS:    reglib/src/com/sun/servicetag/UnauthorizedAccessException.java
CVS:    reglib/src/com/sun/servicetag/Util.java
CVS:    reglib/src/com/sun/servicetag/WindowsSystemEnvironment.java
CVS:    reglib/src/com/sun/servicetag/package.html
CVS:    reglib/src/com/sun/servicetag/resources/Putback-Notes.txt
CVS:    reglib/src/com/sun/servicetag/resources/javase_5_swordfish.properties
CVS:    reglib/src/com/sun/servicetag/resources/javase_6_swordfish.properties
CVS:    reglib/src/com/sun/servicetag/resources/jdk_header.png
CVS:    reglib/src/com/sun/servicetag/resources/product_registration.xsd
CVS:    reglib/src/com/sun/servicetag/resources/register.html
CVS:    reglib/src/com/sun/servicetag/resources/register_ja.html
CVS:    reglib/src/com/sun/servicetag/resources/register_zh_CN.html

Commit log:
Checking in registration/src/org/netbeans/modules/registration/NbConnection.java;
/cvs/ide/registration/src/org/netbeans/modules/registration/Attic/NbConnection.java,v  <--  NbConnection.java
new revision: 1.5.2.6.2.1; previous revision: 1.5.2.6
done
Checking in reglib/nbproject/project.xml;
/cvs/ide/reglib/nbproject/Attic/project.xml,v  <--  project.xml
new revision: 1.2.2.1.4.1; previous revision: 1.2.2.1
done
Removing reglib/src/com/sun/servicetag/BrowserSupport.java;
/cvs/ide/reglib/src/com/sun/servicetag/Attic/BrowserSupport.java,v  <--  BrowserSupport.java
new revision: delete; previous revision: 1.1.2.2.2
done
Removing reglib/src/com/sun/servicetag/Installer.java;
/cvs/ide/reglib/src/com/sun/servicetag/Attic/Installer.java,v  <--  Installer.java
new revision: delete; previous revision: 1.2.2.2.2
done
Removing reglib/src/com/sun/servicetag/LinuxSystemEnvironment.java;
/cvs/ide/reglib/src/com/sun/servicetag/Attic/LinuxSystemEnvironment.java,v  <--  LinuxSystemEnvironment.java
new revision: delete; previous revision: 1.1.2.4.2
done
Removing reglib/src/com/sun/servicetag/RegistrationData.java;
/cvs/ide/reglib/src/com/sun/servicetag/Attic/RegistrationData.java,v  <--  RegistrationData.java
new revision: delete; previous revision: 1.1.2.2.2
done
Removing reglib/src/com/sun/servicetag/RegistrationDocument.java;
/cvs/ide/reglib/src/com/sun/servicetag/Attic/RegistrationDocument.java,v  <--  RegistrationDocument.java
new revision: delete; previous revision: 1.1.2.3.2
done
Removing reglib/src/com/sun/servicetag/Registry.java;
/cvs/ide/reglib/src/com/sun/servicetag/Attic/Registry.java,v  <--  Registry.java
new revision: delete; previous revision: 1.2.2.1.4
done
Removing reglib/src/com/sun/servicetag/ServiceTag.java;
/cvs/ide/reglib/src/com/sun/servicetag/Attic/ServiceTag.java,v  <--  ServiceTag.java
new revision: delete; previous revision: 1.2.2.1.4
done
Removing reglib/src/com/sun/servicetag/SolarisServiceTag.java;
/cvs/ide/reglib/src/com/sun/servicetag/Attic/SolarisServiceTag.java,v  <--  SolarisServiceTag.java
new revision: delete; previous revision: 1.1.2.1.4
done
Removing reglib/src/com/sun/servicetag/SolarisSystemEnvironment.java;
/cvs/ide/reglib/src/com/sun/servicetag/Attic/SolarisSystemEnvironment.java,v  <--  SolarisSystemEnvironment.java
new revision: delete; previous revision: 1.1.2.3.2
done
Removing reglib/src/com/sun/servicetag/SunConnection.java;
/cvs/ide/reglib/src/com/sun/servicetag/Attic/SunConnection.java,v  <--  SunConnection.java
new revision: delete; previous revision: 1.1.2.1.4
done
Removing reglib/src/com/sun/servicetag/SystemEnvironment.java;
/cvs/ide/reglib/src/com/sun/servicetag/Attic/SystemEnvironment.java,v  <--  SystemEnvironment.java
new revision: delete; previous revision: 1.1.2.3.2
done
Removing reglib/src/com/sun/servicetag/UnauthorizedAccessException.java;
/cvs/ide/reglib/src/com/sun/servicetag/Attic/UnauthorizedAccessException.java,v  <--  UnauthorizedAccessException.java
new revision: delete; previous revision: 1.1.2.1.4
done
Removing reglib/src/com/sun/servicetag/Util.java;
/cvs/ide/reglib/src/com/sun/servicetag/Attic/Util.java,v  <--  Util.java
new revision: delete; previous revision: 1.1.2.1.4
done
Removing reglib/src/com/sun/servicetag/WindowsSystemEnvironment.java;
/cvs/ide/reglib/src/com/sun/servicetag/Attic/WindowsSystemEnvironment.java,v  <--  WindowsSystemEnvironment.java
new revision: delete; previous revision: 1.1.2.2.2
done
Removing reglib/src/com/sun/servicetag/package.html;
/cvs/ide/reglib/src/com/sun/servicetag/Attic/package.html,v  <--  package.html
new revision: delete; previous revision: 1.2.2.1.4
done
Removing reglib/src/com/sun/servicetag/resources/Putback-Notes.txt;
/cvs/ide/reglib/src/com/sun/servicetag/resources/Attic/Putback-Notes.txt,v  <--  Putback-Notes.txt
new revision: delete; previous revision: 1.1.2.1.4
done
Removing reglib/src/com/sun/servicetag/resources/javase_5_swordfish.properties;
/cvs/ide/reglib/src/com/sun/servicetag/resources/Attic/javase_5_swordfish.properties,v  <--  javase_5_swordfish.properties
new revision: delete; previous revision: 1.1.2.1.4
done
Removing reglib/src/com/sun/servicetag/resources/javase_6_swordfish.properties;
/cvs/ide/reglib/src/com/sun/servicetag/resources/Attic/javase_6_swordfish.properties,v  <--  javase_6_swordfish.properties
new revision: delete; previous revision: 1.1.2.1.4
done
Removing reglib/src/com/sun/servicetag/resources/jdk_header.png;
/cvs/ide/reglib/src/com/sun/servicetag/resources/Attic/jdk_header.png,v  <--  jdk_header.png
new revision: delete; previous revision: 1.1.2.1.4
done
Removing reglib/src/com/sun/servicetag/resources/product_registration.xsd;
/cvs/ide/reglib/src/com/sun/servicetag/resources/Attic/product_registration.xsd,v  <--  product_registration.xsd
new revision: delete; previous revision: 1.1.2.1.4
done
Removing reglib/src/com/sun/servicetag/resources/register.html;
/cvs/ide/reglib/src/com/sun/servicetag/resources/Attic/register.html,v  <--  register.html
new revision: delete; previous revision: 1.1.2.1.4
done
Removing reglib/src/com/sun/servicetag/resources/register_ja.html;
/cvs/ide/reglib/src/com/sun/servicetag/resources/Attic/register_ja.html,v  <--  register_ja.html
new revision: delete; previous revision: 1.1.2.1.4
done
Removing reglib/src/com/sun/servicetag/resources/register_zh_CN.html;
/cvs/ide/reglib/src/com/sun/servicetag/resources/Attic/register_zh_CN.html,v  <--  register_zh_CN.html
new revision: delete; previous revision: 1.1.2.1.4
done
Checking in reglib/src/org/netbeans/modules/reglib/NbConnectionSupport.java;
/cvs/ide/reglib/src/org/netbeans/modules/reglib/Attic/NbConnectionSupport.java,v  <--  NbConnectionSupport.java
new revision: 1.2.2.6.2.1; previous revision: 1.2.2.6
done
Checking in reglib/src/org/netbeans/modules/reglib/NbServiceTagSupport.java;
/cvs/ide/reglib/src/org/netbeans/modules/reglib/Attic/NbServiceTagSupport.java,v  <--  NbServiceTagSupport.java
new revision: 1.2.2.16.2.1; previous revision: 1.2.2.16
done
Checking in reglib/src/org/netbeans/modules/reglib/StatusDocument.java;
/cvs/ide/reglib/src/org/netbeans/modules/reglib/Attic/StatusDocument.java,v  <--  StatusDocument.java
new revision: 1.2.2.4.2.1; previous revision: 1.2.2.4
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/BrowserSupport.java,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/BrowserSupport.java;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/BrowserSupport.java,v  <--  BrowserSupport.java
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/Installer.java,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/Installer.java;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/Installer.java,v  <--  Installer.java
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/LinuxSystemEnvironment.java,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/LinuxSystemEnvironment.java;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/LinuxSystemEnvironment.java,v  <--  LinuxSystemEnvironment.java
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/RegistrationData.java,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/RegistrationData.java;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/RegistrationData.java,v  <--  RegistrationData.java
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/RegistrationDocument.java,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/RegistrationDocument.java;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/RegistrationDocument.java,v  <--  RegistrationDocument.java
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/Registry.java,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/Registry.java;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/Registry.java,v  <--  Registry.java
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/ServiceTag.java,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/ServiceTag.java;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/ServiceTag.java,v  <--  ServiceTag.java
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/SolarisServiceTag.java,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/SolarisServiceTag.java;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/SolarisServiceTag.java,v  <--  SolarisServiceTag.java
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/SolarisSystemEnvironment.java,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/SolarisSystemEnvironment.java;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/SolarisSystemEnvironment.java,v  <-- 
SolarisSystemEnvironment.java
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/SunConnection.java,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/SunConnection.java;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/SunConnection.java,v  <--  SunConnection.java
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/SystemEnvironment.java,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/SystemEnvironment.java;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/SystemEnvironment.java,v  <--  SystemEnvironment.java
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/UnauthorizedAccessException.java,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/UnauthorizedAccessException.java;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/UnauthorizedAccessException.java,v  <-- 
UnauthorizedAccessException.java
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/Util.java,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/Util.java;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/Util.java,v  <--  Util.java
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/WindowsSystemEnvironment.java,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/WindowsSystemEnvironment.java;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/WindowsSystemEnvironment.java,v  <-- 
WindowsSystemEnvironment.java
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/package.html,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/package.html;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/package.html,v  <--  package.html
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/resources/Attic/Putback-Notes.txt,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/resources/Putback-Notes.txt;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/resources/Attic/Putback-Notes.txt,v  <--  Putback-Notes.txt
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/resources/Attic/javase_5_swordfish.properties,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/resources/javase_5_swordfish.properties;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/resources/Attic/javase_5_swordfish.properties,v  <-- 
javase_5_swordfish.properties
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/resources/Attic/javase_6_swordfish.properties,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/resources/javase_6_swordfish.properties;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/resources/Attic/javase_6_swordfish.properties,v  <-- 
javase_6_swordfish.properties
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/resources/Attic/jdk_header.png,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/resources/jdk_header.png;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/resources/Attic/jdk_header.png,v  <--  jdk_header.png
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/resources/Attic/product_registration.xsd,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/resources/product_registration.xsd;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/resources/Attic/product_registration.xsd,v  <-- 
product_registration.xsd
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/resources/Attic/register.html,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/resources/register.html;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/resources/Attic/register.html,v  <--  register.html
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/resources/Attic/register_ja.html,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/resources/register_ja.html;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/resources/Attic/register_ja.html,v  <--  register_ja.html
new revision: 1.1.2.1; previous revision: 1.1
done
RCS file: /cvs/ide/reglib/src/org/netbeans/modules/servicetag/resources/Attic/register_zh_CN.html,v
done
Checking in reglib/src/org/netbeans/modules/servicetag/resources/register_zh_CN.html;
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/resources/Attic/register_zh_CN.html,v  <--  register_zh_CN.html
new revision: 1.1.2.1; previous revision: 1.1
done
Comment 9 mslama 2008-03-11 19:06:23 UTC
Fixed location of xsd file:
/cvs/ide/reglib/src/org/netbeans/modules/servicetag/Attic/RegistrationDocument.java,v  <--  RegistrationDocument.java
new revision: 1.1.2.2; previous revision: 1.1.2.1

Main trunk: 7f195bc5d928
Comment 10 Lukas Hasik 2008-03-17 13:46:08 UTC
verified in 601patch2
Comment 11 mslama 2008-08-13 14:29:59 UTC
*** Issue 143668 has been marked as a duplicate of this issue. ***
Comment 12 Exceptions Reporter 2008-10-08 14:16:25 UTC
Reopening - reproduced in NetBeans IDE 6.1 (Build 200804211638)
http://statistics.netbeans.org/exceptions/detail.do?id=124861
Comment 13 Exceptions Reporter 2008-10-08 14:20:24 UTC
Reopening - reproduced in NetBeans IDE 6.1 (Build 200804211638)
http://statistics.netbeans.org/exceptions/detail.do?id=124869
Comment 14 mslama 2008-10-09 14:43:47 UTC
I set priority back to P3. I need someone who is able to reproduce this and get IDE log. This exception is result of
unsaved status.xml ie. file is present but had zero length. So I need to find out reason why status.xml saving failed.
Without this I cannot fix this issue.
Comment 15 mslama 2008-10-09 14:44:35 UTC
Actually this issue was about fixing one reason why saving status.xml failed.
Comment 16 mslama 2008-10-09 14:45:25 UTC
Anonymous reports from exception reporter are completely useless in this case.
Comment 17 Marian Mirilovic 2009-03-26 15:08:56 UTC
214 duplicates and still coming ;( 
Comment 18 mslama 2009-04-09 14:58:41 UTC
Handling of incorrect empty file was improved.
Comment 19 mslama 2009-04-28 13:55:06 UTC
*** Issue 163860 has been marked as a duplicate of this issue. ***
Comment 20 dlipin 2009-07-02 13:00:41 UTC
*** Issue 166959 has been marked as a duplicate of this issue. ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo